> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1canvadesigns



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Content//swagger/v1/swagger.json post /api/v1/canva/designs
openapi: 3.0.0
info:
  title: NDS.Services.Content
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Content/
security: []
paths:
  /api/v1/canva/designs:
    post:
      tags:
        - CanvaConnect
      operationId: CanvaConnect_GetCanvaItems
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CanvaAuthRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCanvaItemsResult'
components:
  schemas:
    CanvaAuthRequest:
      type: object
      additionalProperties: false
      properties:
        CanvaAccessToken:
          type: string
          nullable: true
    GetCanvaItemsResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Items:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/CanvaItem'
            Images:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ImageItem'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    CanvaItem:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Owner:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Owner'
        Thumbnail:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Thumbnail'
        Urls:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Urls'
    ImageItem:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Type:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        Tags:
          type: array
          nullable: true
          items:
            type: string
        Thumbnail:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Thumbnail'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    Owner:
      type: object
      additionalProperties: false
      properties:
        UserId:
          type: string
          nullable: true
        TeamId:
          type: string
          nullable: true
    Thumbnail:
      type: object
      additionalProperties: false
      properties:
        Width:
          type: integer
          format: int32
        Height:
          type: integer
          format: int32
        Url:
          type: string
          nullable: true
    Urls:
      type: object
      additionalProperties: false
      properties:
        EditUrl:
          type: string
          nullable: true
        ViewUrl:
          type: string
          nullable: true

````